# SIPURLList Class Reference

`#include <sippdu.h>`

## Public Member Functions

bool | FromString (const PString &str, SIPURL::UsageContext context=SIPURL::RouteURI, bool reversed=false)
PString | ToString () const
SIPURL | FindCompatible (const OpalTransportAddress &addr PTRACE_PARAM(, const char *listType)) const

## Friends

ostream & | operator<< (ostream &strm, const SIPURLList &urls)

## Member Function Documentation

SIPURL SIPURLList::FindCompatible | ( | const OpalTransportAddress &addr | PTRACE_PARAM(, const char *listType) | ) | const

bool SIPURLList::FromString | ( | const PString & | str,
|  | SIPURL::UsageContext | context = `SIPURL::RouteURI`,
|  | bool | reversed = `false` |
| ) |  |  |

PString SIPURLList::ToString | ( |  | ) | const

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const SIPURLList & | urls |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- sippdu.h